APIShort url
Toggle Short URL Active State
Activates or deactivates a short URL by toggling its current active state. This endpoint can be used to enable or disable dynamic QR codes associated with the short URL. Returns the updated short URL object.
Authorization
bearerAuth AuthorizationBearer <token>
Enter your API key to access this API
In: header
Path Parameters
shortCode*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://qrcodly.theosirislabs.com/api/api/v1/api/v1/short-url/string/toggle-active-state"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"shortCode": "strin",
"destinationUrl": "http://example.com",
"qrCodeId": "8a619d64-dbe8-4c9d-9490-babe22a53a28",
"isActive": true,
"createdBy": "string",
"deletedAt": null,
"customDomain": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"domain": "string",
"isDefault": true,
"isEnabled": true,
"createdBy": "string",
"verificationPhase": "dns_verification",
"ownershipTxtVerified": true,
"cnameVerified": true,
"cloudflareHostnameId": "string",
"sslStatus": "initializing",
"ownershipStatus": "pending",
"sslValidationRecord": {
"name": "string",
"value": "string"
},
"ownershipValidationRecord": {
"name": "string",
"value": "string"
},
"validationErrors": [
"string"
]
}
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}